import type { Log } from "../../../../../metabase-types/api";
export declare function mergeLogs(logArrays: Log[][]): Log[];
export declare function maybeMergeLogs(logs: Log[], newLogs: Log[]): Log[];
export declare function hasLog(logs: Log[], targetLog: Log): boolean;
export declare function filterLogs(logs: Log[], processUUID: string): Log[];
export declare function getAllProcessUUIDs(logs: Log[]): string[];
export declare function formatLog(log: Log): any[];
